<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class CodigoAuxModels extends CI_Model
{

    public function Edit($Datos){
        $this->db->select(array("Status","CodigoAux"));
        $Datos2= $this->db->get_where("producto",array("CodigoP"=>$Datos['CodigoAux']))->result();
       if(count($Datos2) > 0){

           if($Datos2[0]->CodigoAux == $Datos['Codigo'] && $Datos2[0]->Status=="Auxiliar" ){

            $this->db->select(array("CodigoAux"));
            $Datos3= $this->db->get_where("detallemov",array("CodigoAux"=>$Datos['CodigoAux']));
            if($Datos3 == null){
                $where = "CodigoD = '".$Datos["ID"]."' ";
                $this->db->update("detallemov",array("CodigoAux"=>$Datos['CodigoAux']) , $where );
                return  "ok";
            }
            if(count($Datos3) == 0){
                $where = "CodigoD = '".$Datos["ID"]."' ";
                $this->db->update("detallemov",array("CodigoAux"=>$Datos['CodigoAux']) , $where );
                return  "ok";
            }else{
                return "Código ya Existente";
            }


            
           }else{
            return "Código ya Existente";
           }



       }

       
       $this->db->insert("producto",array("CodigoP"=>$Datos['CodigoAux'],"CodigoAux"=>$Datos['Codigo'], "Status"=>"Auxiliar"));
       $where = "CodigoD = '".$Datos["ID"]."' ";
       $this->db->update("detallemov",array("CodigoAux"=>$Datos['CodigoAux']) , $where );
        return  "ok";
    }

}